cURL
curl --request GET \
--url https://api.brightdata.com/api/{PARTNER_NAME}/carriers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.brightdata.com/api/{PARTNER_NAME}/carriers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.brightdata.com/api/{PARTNER_NAME}/carriers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
"carrier_1",
"carrier_2"
]Reseller API
Get available carriers
Use the Bright Data Reseller API to get Available Carriers. GET /api//carriers returns a 200 OK JSON response for the requested action.
GET
/
api
/
{PARTNER_NAME}
/
carriers
cURL
Authorizations
Use your Bright Data API Key as a Bearer token in the Authorization header.
How to authenticate:
- Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
- Include the API Key in the Authorization header of your requests
- Format:
Authorization: Bearer YOUR_API_KEY
Example:
Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df
Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication
Path Parameters
Name of the proxy zone which will service your request.
Response
200 - application/json
OK
Example:
["carrier_1", "carrier_2"]
Was this page helpful?